main()
{
	//maps\mp\mp_churches_fx::main();
	//maps\createart\mp_churches_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_churches");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_churches" );
	ambientPlay("ambient_factory_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar("r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//fx
	level.fx_wood_explosion = loadfx("explosions/wood_explosion");

	//wood break code
	trigger_break = getentarray("trigger_break","targetname");
	for(i=0;i<trigger_break.size;i++)
	{
		trigger_break[i].woodmodel = getent(trigger_break[i].target, "targetname");
		trigger_break[i] thread woodbreak();
	}

	//bell code
	trigger_bell = getentarray("trigger_bell","targetname");
	for(i=0;i<trigger_bell.size;i++)
	{
		trigger_bell[i] thread bellsound();
	}

	//grenade code
	trigger_grenade = getentarray("trigger_grenade","targetname");
	for(i=0;i<trigger_grenade.size;i++)
	{
		trigger_grenade[i].grenademodel = getent(trigger_grenade[i].target, "targetname");
		trigger_grenade[i].on = true;
		trigger_grenade[i].reset_time = 15;
		trigger_grenade[i] thread givegrenade();
	}
}

//fan rotate code
fan_rotate()
{
	while (true)
	{	
		self rotateYaw(360, 1);
		self playsound("fan");
		self waittill("rotatedone");
	}
}


//grenade code
givegrenade()
{
	while (1)
	{
		self waittill("trigger", user);
		if(self.on)
		{
			if (user GetWeaponAmmoClip("frag_grenade_mp") < 4)
			{
				self.on = false;
				self playsound("givegrenade");
				user givemaxammo("frag_grenade_mp");
				self.grenademodel rotateYaw(360, 1);
				self.grenademodel hide();
				wait(self.reset_time);
				self.on = true;
				self.grenademodel show();
			}
		}
	}
}

//bell code
bellsound()
{
	while (1)
	{
		self waittill("trigger", user);
		self playsound("churchbell");
	}
}

//wood break code
woodbreak()
{
	woodbroken = false;
	while (1)
	{
		self waittill("trigger");
		while(!woodbroken)
		{
			woodbroken = true;
			PlayFX(level.fx_wood_explosion, self.origin);
			self.woodmodel notSolid();
			self.woodmodel hide();
		}
	}
}